using Intrepid.Theatre.Curtain;
using UnityEngine;

namespace Intrepid.Core.Curtain.Actions
{
    public class CurtainZoomClosedAction : AbstractCurtainAction
    {
        [SerializeField] private RectTransform rectTransform;
        
        public override bool IsFinished()
        {
            return true;
        }

        public override void Setup()
        {
            rectTransform.localScale = Vector2.one;
        }

        public override void TearDown()
        {
        }
    }
}